Cyberduck Mountain Duck CLI

#7209 closed defect (fixed)

Cannot edit non prefixed headers

Reported by: marcus rowell Owned by: dkocher
Priority: normal Milestone: 4.4
Component: cloudfiles Version: 4.3
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Mac OS X 10.8

Description

Standard HTTP-specific header names such as "content-type", "content-disposition" etc should not have "X-Object-Meta-" added to the header elements when using Cloudfiles.

With 4.3 and 4.3.1, standard HTTP-specific Metadata headers (e.g. "content-disposition" ) are having "X-Object-Meta-" added to the header on editing via the the Metadata tab of the info window.

In 4.2.1 on adding Metadata headers to objects in Cloudfiles the "content-disposition" was added as is. Now with 4.3 and 4.3.1 "X-Object-Meta-" is prefixed to the metadata. Also existing Metadata headers that were visible in earlier versions are not being displayed in the Metadata tab of the info window.

This was tested on Mac OS X 10.8.3 and 10.7.5 with existing bookmarks to Cloudfiles, as well as new connections using the Rackspace US.cyberduckprofile and a new Swift connection.

Change History (5)

comment:1 Changed on May 4, 2013 at 10:53:40 AM by dkocher

  • Milestone set to 4.3.2
  • Status changed from new to assigned

comment:2 Changed on May 4, 2013 at 10:53:49 AM by dkocher

  • Summary changed from Cloudfiles - standard Metadata headers not recognized to Standard Metadata headers not recognized

comment:3 Changed on May 23, 2013 at 5:38:34 PM by dkocher

  • Summary changed from Standard Metadata headers not recognized to Cannot edit non prefixed headers

comment:4 Changed on May 23, 2013 at 5:45:07 PM by dkocher

For S3, the following headers are not prepended with a metadata prefix and we should possibly implement the same for Swift storage.

            "content-type",
            "content-md5",
            "content-length",
            "content-language",
            "expires",
            "cache-control",
            "content-disposition",
            "content-encoding",
            X-Object-Manifest,
            X-Purge-Email,
            "origin",
            "access-control-allow-origin",
            "access-control-allow-credentials",
            "access-control-expose-headers",
            "access-control-max-age",
            "access-control-allow-methods",
            "access-control-allow-headers",
            "access-control-request-method",
            "access-control-request-headers"
Last edited on Jun 4, 2013 at 7:09:10 AM by dkocher (previous) (diff)

comment:5 Changed on Jun 4, 2013 at 7:09:23 AM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r11080.

Note: See TracTickets for help on using tickets.
swiss made software